GenerateStubsTask (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli
[Java] Class GenerateStubsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.grails.cli.GenerateStubsTask

    public class GenerateStubsTask
    extends org.codehaus.groovy.ant.CompileTaskSupport

Need to spin our own GenerateStubsTask because Groovy's one stupidly tries to compile properties files and anything that doesn't end with Java.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`protected void` | `compile()`

Methods inherited from class org.codehaus.groovy.ant.CompileTaskSupport
org.codehaus.groovy.ant.CompileTaskSupport#execute(), org.codehaus.groovy.ant.CompileTaskSupport#getClasspath(), org.codehaus.groovy.ant.CompileTaskSupport#setClasspath(org.apache.tools.ant.types.Path), org.codehaus.groovy.ant.CompileTaskSupport#setDestdir(java.io.File), org.codehaus.groovy.ant.CompileTaskSupport#createClasspath(), org.codehaus.groovy.ant.CompileTaskSupport#setClasspathRef(org.apache.tools.ant.types.Reference), org.codehaus.groovy.ant.CompileTaskSupport#setFailonerror(boolean), org.codehaus.groovy.ant.CompileTaskSupport#getFailonerror(), org.codehaus.groovy.ant.CompileTaskSupport#createSrc(), org.codehaus.groovy.ant.CompileTaskSupport#setSrcdir(org.apache.tools.ant.types.Path), org.codehaus.groovy.ant.CompileTaskSupport#getSrcdir(), org.codehaus.groovy.ant.CompileTaskSupport#createConfiguration(), org.codehaus.groovy.ant.CompileTaskSupport#addDate(org.apache.tools.ant.types.selectors.DateSelector), org.codehaus.groovy.ant.CompileTaskSupport#add(org.apache.tools.ant.types.selectors.FileSelector), org.codehaus.groovy.ant.CompileTaskSupport#createIncludesFile(), org.codehaus.groovy.ant.CompileTaskSupport#createExcludesFile(), org.codehaus.groovy.ant.CompileTaskSupport#setIncludesfile(java.io.File), org.codehaus.groovy.ant.CompileTaskSupport#setExcludesfile(java.io.File), org.codehaus.groovy.ant.CompileTaskSupport#setCaseSensitive(boolean), org.codehaus.groovy.ant.CompileTaskSupport#setIncludes(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#setExcludes(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#setProject(org.apache.tools.ant.Project), org.codehaus.groovy.ant.CompileTaskSupport#addSelector(org.apache.tools.ant.types.selectors.SelectSelector), org.codehaus.groovy.ant.CompileTaskSupport#setFollowSymlinks(boolean), org.codehaus.groovy.ant.CompileTaskSupport#getSelectors(org.apache.tools.ant.Project), org.codehaus.groovy.ant.CompileTaskSupport#selectorElements(), org.codehaus.groovy.ant.CompileTaskSupport#appendSelector(org.apache.tools.ant.types.selectors.FileSelector), org.codehaus.groovy.ant.CompileTaskSupport#addAnd(org.apache.tools.ant.types.selectors.AndSelector), org.codehaus.groovy.ant.CompileTaskSupport#addOr(org.apache.tools.ant.types.selectors.OrSelector), org.codehaus.groovy.ant.CompileTaskSupport#addNot(org.apache.tools.ant.types.selectors.NotSelector), org.codehaus.groovy.ant.CompileTaskSupport#addNone(org.apache.tools.ant.types.selectors.NoneSelector), org.codehaus.groovy.ant.CompileTaskSupport#addMajority(org.apache.tools.ant.types.selectors.MajoritySelector), org.codehaus.groovy.ant.CompileTaskSupport#addSize(org.apache.tools.ant.types.selectors.SizeSelector), org.codehaus.groovy.ant.CompileTaskSupport#addDifferent(org.apache.tools.ant.types.selectors.DifferentSelector), org.codehaus.groovy.ant.CompileTaskSupport#addFilename(org.apache.tools.ant.types.selectors.FilenameSelector), org.codehaus.groovy.ant.CompileTaskSupport#addType(org.apache.tools.ant.types.selectors.TypeSelector), org.codehaus.groovy.ant.CompileTaskSupport#addCustom(org.apache.tools.ant.types.selectors.ExtendSelector), org.codehaus.groovy.ant.CompileTaskSupport#addContains(org.apache.tools.ant.types.selectors.ContainsSelector), org.codehaus.groovy.ant.CompileTaskSupport#addPresent(org.apache.tools.ant.types.selectors.PresentSelector), org.codehaus.groovy.ant.CompileTaskSupport#addDepth(org.apache.tools.ant.types.selectors.DepthSelector), org.codehaus.groovy.ant.CompileTaskSupport#addDepend(org.apache.tools.ant.types.selectors.DependSelector), org.codehaus.groovy.ant.CompileTaskSupport#addContainsRegexp(org.apache.tools.ant.types.selectors.ContainsRegexpSelector), org.codehaus.groovy.ant.CompileTaskSupport#addModified(org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector), org.codehaus.groovy.ant.CompileTaskSupport#createInclude(), org.codehaus.groovy.ant.CompileTaskSupport#createExclude(), org.codehaus.groovy.ant.CompileTaskSupport#setDefaultexcludes(boolean), org.codehaus.groovy.ant.CompileTaskSupport#createPatternSet(), org.codehaus.groovy.ant.CompileTaskSupport#hasSelectors(), org.codehaus.groovy.ant.CompileTaskSupport#selectorCount(), org.codehaus.groovy.ant.CompileTaskSupport#XsetItems(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#XsetIgnore(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#getTaskName(), org.codehaus.groovy.ant.CompileTaskSupport#log(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#log(java.lang.Throwable, int), org.codehaus.groovy.ant.CompileTaskSupport#log(java.lang.String, int), org.codehaus.groovy.ant.CompileTaskSupport#log(java.lang.String, java.lang.Throwable, int), org.codehaus.groovy.ant.CompileTaskSupport#init(), org.codehaus.groovy.ant.CompileTaskSupport#getOwningTarget(), org.codehaus.groovy.ant.CompileTaskSupport#getTaskType(), org.codehaus.groovy.ant.CompileTaskSupport#setTaskType(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#setTaskName(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#setOwningTarget(org.apache.tools.ant.Target), org.codehaus.groovy.ant.CompileTaskSupport#getRuntimeConfigurableWrapper(), org.codehaus.groovy.ant.CompileTaskSupport#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.codehaus.groovy.ant.CompileTaskSupport#maybeConfigure(), org.codehaus.groovy.ant.CompileTaskSupport#reconfigure(), org.codehaus.groovy.ant.CompileTaskSupport#perform(), org.codehaus.groovy.ant.CompileTaskSupport#bindToOwner(org.apache.tools.ant.Task), org.codehaus.groovy.ant.CompileTaskSupport#getDescription(), org.codehaus.groovy.ant.CompileTaskSupport#setLocation(org.apache.tools.ant.Location), org.codehaus.groovy.ant.CompileTaskSupport#getProject(), org.codehaus.groovy.ant.CompileTaskSupport#clone(), org.codehaus.groovy.ant.CompileTaskSupport#getLocation(), org.codehaus.groovy.ant.CompileTaskSupport#setDescription(java.lang.String), org.codehaus.groovy.ant.CompileTaskSupport#wait(long, int), org.codehaus.groovy.ant.CompileTaskSupport#wait(long), org.codehaus.groovy.ant.CompileTaskSupport#wait(), org.codehaus.groovy.ant.CompileTaskSupport#equals(java.lang.Object), org.codehaus.groovy.ant.CompileTaskSupport#toString(), org.codehaus.groovy.ant.CompileTaskSupport#hashCode(), org.codehaus.groovy.ant.CompileTaskSupport#getClass(), org.codehaus.groovy.ant.CompileTaskSupport#notify(), org.codehaus.groovy.ant.CompileTaskSupport#notifyAll()

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
org.apache.tools.ant.taskdefs.MatchingTask#addDate(org.apache.tools.ant.types.selectors.DateSelector), org.apache.tools.ant.taskdefs.MatchingTask#add(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.MatchingTask#createIncludesFile(), org.apache.tools.ant.taskdefs.MatchingTask#createExcludesFile(), org.apache.tools.ant.taskdefs.MatchingTask#setIncludesfile(java.io.File), org.apache.tools.ant.taskdefs.MatchingTask#setExcludesfile(java.io.File), org.apache.tools.ant.taskdefs.MatchingTask#setCaseSensitive(boolean), org.apache.tools.ant.taskdefs.MatchingTask#setIncludes(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setExcludes(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.MatchingTask#addSelector(org.apache.tools.ant.types.selectors.SelectSelector), org.apache.tools.ant.taskdefs.MatchingTask#setFollowSymlinks(boolean), org.apache.tools.ant.taskdefs.MatchingTask#getSelectors(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.MatchingTask#selectorElements(), org.apache.tools.ant.taskdefs.MatchingTask#appendSelector(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.MatchingTask#addAnd(org.apache.tools.ant.types.selectors.AndSelector), org.apache.tools.ant.taskdefs.MatchingTask#addOr(org.apache.tools.ant.types.selectors.OrSelector), org.apache.tools.ant.taskdefs.MatchingTask#addNot(org.apache.tools.ant.types.selectors.NotSelector), org.apache.tools.ant.taskdefs.MatchingTask#addNone(org.apache.tools.ant.types.selectors.NoneSelector), org.apache.tools.ant.taskdefs.MatchingTask#addMajority(org.apache.tools.ant.types.selectors.MajoritySelector), org.apache.tools.ant.taskdefs.MatchingTask#addSize(org.apache.tools.ant.types.selectors.SizeSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDifferent(org.apache.tools.ant.types.selectors.DifferentSelector), org.apache.tools.ant.taskdefs.MatchingTask#addFilename(org.apache.tools.ant.types.selectors.FilenameSelector), org.apache.tools.ant.taskdefs.MatchingTask#addType(org.apache.tools.ant.types.selectors.TypeSelector), org.apache.tools.ant.taskdefs.MatchingTask#addCustom(org.apache.tools.ant.types.selectors.ExtendSelector), org.apache.tools.ant.taskdefs.MatchingTask#addContains(org.apache.tools.ant.types.selectors.ContainsSelector), org.apache.tools.ant.taskdefs.MatchingTask#addPresent(org.apache.tools.ant.types.selectors.PresentSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDepth(org.apache.tools.ant.types.selectors.DepthSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDepend(org.apache.tools.ant.types.selectors.DependSelector), org.apache.tools.ant.taskdefs.MatchingTask#addContainsRegexp(org.apache.tools.ant.types.selectors.ContainsRegexpSelector), org.apache.tools.ant.taskdefs.MatchingTask#addModified(org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector), org.apache.tools.ant.taskdefs.MatchingTask#createInclude(), org.apache.tools.ant.taskdefs.MatchingTask#createExclude(), org.apache.tools.ant.taskdefs.MatchingTask#setDefaultexcludes(boolean), org.apache.tools.ant.taskdefs.MatchingTask#createPatternSet(), org.apache.tools.ant.taskdefs.MatchingTask#hasSelectors(), org.apache.tools.ant.taskdefs.MatchingTask#selectorCount(), org.apache.tools.ant.taskdefs.MatchingTask#XsetItems(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#XsetIgnore(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#execute(), org.apache.tools.ant.taskdefs.MatchingTask#getTaskName(), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.Throwable, int), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String, int), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.taskdefs.MatchingTask#init(), org.apache.tools.ant.taskdefs.MatchingTask#getOwningTarget(), org.apache.tools.ant.taskdefs.MatchingTask#getTaskType(), org.apache.tools.ant.taskdefs.MatchingTask#setTaskType(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setTaskName(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.taskdefs.MatchingTask#getRuntimeConfigurableWrapper(), org.apache.tools.ant.taskdefs.MatchingTask#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.taskdefs.MatchingTask#maybeConfigure(), org.apache.tools.ant.taskdefs.MatchingTask#reconfigure(), org.apache.tools.ant.taskdefs.MatchingTask#perform(), org.apache.tools.ant.taskdefs.MatchingTask#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.taskdefs.MatchingTask#getDescription(), org.apache.tools.ant.taskdefs.MatchingTask#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.taskdefs.MatchingTask#getProject(), org.apache.tools.ant.taskdefs.MatchingTask#clone(), org.apache.tools.ant.taskdefs.MatchingTask#getLocation(), org.apache.tools.ant.taskdefs.MatchingTask#setDescription(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#wait(long, int), org.apache.tools.ant.taskdefs.MatchingTask#wait(long), org.apache.tools.ant.taskdefs.MatchingTask#wait(), org.apache.tools.ant.taskdefs.MatchingTask#equals(java.lang.Object), org.apache.tools.ant.taskdefs.MatchingTask#toString(), org.apache.tools.ant.taskdefs.MatchingTask#hashCode(), org.apache.tools.ant.taskdefs.MatchingTask#getClass(), org.apache.tools.ant.taskdefs.MatchingTask#notify(), org.apache.tools.ant.taskdefs.MatchingTask#notifyAll()

Method Detail

### compile

    @java.lang.Override
    protected void compile()

Groovy Documentation